{% extends "shuup/front/base.jinja" %}
{% from "shuup/simple_cms/macros.jinja" import render_open_graph with context %}

{% block title %}{{ page.title }}{% endblock %}

{% block content_title %}
    {% if page.render_title %}
        {{ page.title }}
    {% endif %}
{% endblock %}

{% block extrameta %}
    {{ render_open_graph(page) }}
{% endblock %}

{% block breadcrumb %}
    <ol class="breadcrumb">
        <li><a href="/">{% trans %}Home{% endtrans %}</a></li>
        {% for ancestor in page.get_ancestors() if ancestor.is_visible() %}
            <li><a href="{{ url('shuup:cms_page', url=ancestor.url) }}">{{ ancestor.title }}</a></li>
        {% endfor %}
        <li class="active">{{ page.title }}</li>
    </ol>
{% endblock %}

{% block content %}
    {{ page.get_html()|safe }}

    {% placeholder "cms_page" %}{% endplaceholder %}

    {% if page.list_children_on_page %}
        {{ list_children(page, limit=3) }}
    {% endif %}
{% endblock %}

{% macro list_children(page=None, limit=10) %}
    <div class="cms-page-children mt-6 mb-4">
        <div class="flex-row">
            {% for child in page.children.visible(request.shop, user=request.user).order_by("-available_from")[:limit] %}
                <div class="col">
                    <div class="cms-page-children__item">
                        <a href="{{ url('shuup:cms_page', url=child.url) }}">
                            <h3 class="mt-0 mb-3">{{ child.title }}</h3>
                        </a>
                        {% if child.available_from and page.show_child_timestamps %}
                            <div class="small text-muted text-uppercase mb-2">{{ child.available_from|datetime }}</div>
                        {% endif %}
                        <p class="m-0">{{ child.get_html()|safe|striptags|truncate(256) }}</p>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
{% endmacro%}
